Classes | Namespaces
PluckerParser.cpp File Reference
`#include <string>`
`#include "libebook_utils.h"`
`#include "EBOOKCharsetConverter.h"`
`#include "EBOOKMemoryStream.h"`
`#include "EBOOKZlibStream.h"`
`#include "PDBLZ77Stream.h"`
`#include "PluckerParser.h"`

## Classes
struct | libebook::PluckerHeader
struct | libebook::PluckerParserState
struct | libebook::PluckerRecordHeader

## Namespaces
namespace | libebook

## Variable Documentation

## ◆ font

Font font

## ◆ italic

bool italic

## ◆ leftMargin

unsigned leftMargin

## ◆ m_attributes

PluckerAttributes m_attributes
| private

## ◆ m_document

librevenge::RVNGTextInterface* m_document
| private

## ◆ m_imageMap

const PluckerImageMap_t& m_imageMap
| private

## ◆ m_input

librevenge::RVNGInputStream* m_input
| private

## ◆ m_lineBreaks

unsigned m_lineBreaks
| private

## ◆ m_paragraphOpened

bool m_paragraphOpened
| private

## ◆ m_text

std::string m_text
| private

## ◆ rightMargin

unsigned rightMargin

## ◆ strikethrough

bool strikethrough

## ◆ textAlignment

TextAlignment textAlignment

## ◆ underline

bool underline